com.r3corda.node.utilities / ANSIProgressRenderer

# ANSIProgressRenderer

`object ANSIProgressRenderer`

Knows how to render a ProgressTracker to the terminal using coloured, emoji-fied output. Useful when writing small command line tools, demos, tests etc. Just set the progressTracker field and it will go ahead and start drawing if the terminal supports it. Otherwise it just prints out the name of the step whenever it changes.

When a progress tracker is on the screen, it takes over the bottom part and reconfigures logging so that, assuming 1 log event == 1 line, the progress tracker is always glued to the bottom and logging scrolls above it.

TODO: More thread safety

### Properties

progressTracker | `var progressTracker: ProgressTracker?`